Skip to main content

Status Codes and Errors

The Meltano Cloud API returns standard HTTP status codes and returns an error structure explaining all failing fields. We use a standard templated error response across different scenarios so you can expect consistency in our error responses.


In general:

  • Codes in the 2xx range indicate success
  • Codes in the 4xx range indicate an error with the request
  • Codes in the 5xx range indicate an issue with the Meltano Cloud API
Status CodeTextDescription
200OKThe request was accepted and existing or modified data was returned.
201CreatedThe request was accepted and new data was added.
202AcceptedThe request was accepted and will be processed. New data will be added once processing is complete.
400Bad RequestThe request body contained malformed content of type application/hal+json.
401UnauthorizedThe request does not have a valid API token.
403ForbiddenThe request has a valid API token, but is not permitted.
404Not FoundThe request URI is invalid.
405Method Not AllowedThe request HTTP method is not supported by the endpoint.
409ConflictThe request conflicts with current state of the server.
503Service UnavailableThe API has encountered an error. Try again later.

Validation errors - 4xx

Schema

PathJSON TypeFormatDescription
timestampstringISO 8601 timestampThe instant when the error was encountered
statusnumberHTTP status codeThe error response code
errorstringThe error response text
errorsobject[]Error object collection
messagestringThe error description
pathstringThe request path that resulted in the thrown error(s)